> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Groups



## OpenAPI

````yaml /openapi.json get /group
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /group:
    get:
      tags:
        - group
      summary: Get Groups
      operationId: get_groups_group_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBGroupResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBGroupResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBGroupResponse'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBGroupResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBGroupResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        users:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Users
        subnets:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Subnets
        ip_addresses:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ip Addresses
      type: object
      required:
        - id
        - name
      title: NBGroupResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````